# Uses of Interface
org.eclipse.emf.compare.postprocessor.IPostProcessor.Descriptor

Packages that use IPostProcessor.Descriptor
Package
Description
org.eclipse.emf.compare.postprocessor
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.postprocessor

## Uses of IPostProcessor.Descriptor in org.eclipse.emf.compare.postprocessor

Classes in org.eclipse.emf.compare.postprocessor that implement IPostProcessor.Descriptor
Modifier and Type
Class
Description
`class`
`BasicPostProcessorDescriptorImpl`
A simple implementation of `IPostProcessor.Descriptor` that will delegate its method implementation to values given to its constructor.
Methods in org.eclipse.emf.compare.postprocessor that return IPostProcessor.Descriptor
Modifier and Type
Method
Description
`IPostProcessor.Descriptor`
IPostProcessor.Descriptor.Registry.`put(K key, IPostProcessor.Descriptor descriptor)`
Adds a post processor to the registry.
`IPostProcessor.Descriptor`
PostProcessorDescriptorRegistryImpl.`put(K key, IPostProcessor.Descriptor postProcessor)`
Adds a post processor to the registry.
`IPostProcessor.Descriptor`
IPostProcessor.Descriptor.Registry.`remove(K key)`
Removes a post processor from this registry.
`IPostProcessor.Descriptor`
PostProcessorDescriptorRegistryImpl.`remove(K key)`
Removes a post processor from this registry.
Methods in org.eclipse.emf.compare.postprocessor that return types with arguments of type IPostProcessor.Descriptor
Modifier and Type
Method
Description
`List<IPostProcessor.Descriptor>`
IPostProcessor.Descriptor.Registry.`getDescriptors()`
This will return a copy of the registered post processors list.
`List<IPostProcessor.Descriptor>`
PostProcessorDescriptorRegistryImpl.`getDescriptors()`
This will return a copy of the registered post processors list.
Methods in org.eclipse.emf.compare.postprocessor with parameters of type IPostProcessor.Descriptor
Modifier and Type
Method
Description
`IPostProcessor.Descriptor`
IPostProcessor.Descriptor.Registry.`put(K key, IPostProcessor.Descriptor descriptor)`
Adds a post processor to the registry.
`IPostProcessor.Descriptor`
PostProcessorDescriptorRegistryImpl.`put(K key, IPostProcessor.Descriptor postProcessor)`
Adds a post processor to the registry.

## Uses of IPostProcessor.Descriptor in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return types with arguments of type IPostProcessor.Descriptor
Modifier and Type
Method
Description
`IItemRegistry<IPostProcessor.Descriptor>`
EMFCompareRCPPlugin.`getPostProcessorDescriptorRegistry()`
Get the `IItemRegistry` of `IPostProcessor.Descriptor`.

## Uses of IPostProcessor.Descriptor in org.eclipse.emf.compare.rcp.internal.postprocessor

Classes in org.eclipse.emf.compare.rcp.internal.postprocessor that implement IPostProcessor.Descriptor
Modifier and Type
Class
Description
`class`
`PostProcessorDescriptor`
Describes an extension as contributed to the "org.eclipse.emf.compare.rcp.postProcessor" extension point.
Methods in org.eclipse.emf.compare.rcp.internal.postprocessor that return IPostProcessor.Descriptor
Modifier and Type
Method
Description
`IPostProcessor.Descriptor`
PostProcessorRegistryImpl.`put(String key, IPostProcessor.Descriptor descriptor)`
Adds a post processor to the registry.
`IPostProcessor.Descriptor`
PostProcessorRegistryImpl.`remove(String key)`
Removes a post processor from this registry.
Methods in org.eclipse.emf.compare.rcp.internal.postprocessor that return types with arguments of type IPostProcessor.Descriptor
Modifier and Type
Method
Description
`List<IPostProcessor.Descriptor>`
PostProcessorRegistryImpl.`getDescriptors()`
This will return a copy of the registered post processors list.
Methods in org.eclipse.emf.compare.rcp.internal.postprocessor with parameters of type IPostProcessor.Descriptor
Modifier and Type
Method
Description
`IPostProcessor.Descriptor`
PostProcessorRegistryImpl.`put(String key, IPostProcessor.Descriptor descriptor)`
Adds a post processor to the registry.
Constructor parameters in org.eclipse.emf.compare.rcp.internal.postprocessor with type arguments of type IPostProcessor.Descriptor
Modifier
Constructor
Description
``
`PostProcessorFactoryRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IPostProcessor.Descriptor> registry)`
Creates a new registry listener with the given post processor registry to which extension will be registered.
``
`PostProcessorRegistryImpl(IItemRegistry<IPostProcessor.Descriptor> baseRegisty)`
Constructor.